import { DataState,FieldInfo } from 'model-util-base'
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-12-02 15:09
 */
export interface BusParkingLot{
    /**
    * 车场ID
    * @type { string }
    */
    lotId?: string;
    /**
    * 分组ID
    * @type { string }
    */
    groupId?: string;
    /**
    * 车场代码
    * @type { string }
    */
    lotCode?: string;
    /**
    * 车场名称
    * @type { string }
    */
    lotName?: string;
    /**
    * 车场LOGO
    * @type { string }
    */
    logoUrl?: string;
    /**
    * 总车位数
    * @type { number }
    */
    totalSpace?: number;
    /**
    * 功能标识
    * @type { string }
    */
    funcFlag?: string;
    /**
    * 车场简称
    * @type { string }
    */
    keyword?: string;
    /**
    * 车场描述
    * @type { string }
    */
    description?: string;
    /**
    * 交易手续费,百分比
    * @type { number }
    */
    tradeFee?: number;
    /**
    * 合同号
    * @type { string }
    */
    contact?: string;
    /**
    * 合同内容
    * @type { string }
    */
    contactInfo?: string;
    /**
    * 省份ID
    * @type { string }
    */
    provId?: string;
    /**
    * 城市ID
    * @type { string }
    */
    cityId?: string;
    /**
    * 区域ID
    * @type { string }
    */
    districtId?: string;
    /**
    * 车场性质
    * @type { string }
    */
    lotNatureCode?: string;
    /**
    * 地址
    * @type { string }
    */
    address?: string;
    /**
    * 是否开启地图
    * @type { string }
    */
    useMap?: string;
    /**
    * 纬度
    * @type { string }
    */
    longitude?: string;
    /**
    * 经度
    * @type { string }
    */
    latitude?: string;
    /**
    * 是否STC
    * @type { string }
    */
    useSuperpark?: string;
    /**
    * 是否科拓
    * @type { string }
    */
    useKeytop?: string;
    /**
    * 是否子商户
    * @type { string }
    */
    useSubMer?: string;
    /**
    * 速停车子商户号
    * @type { string }
    */
    superparkSubAcct?: string;
    /**
    * 科拓子商户号
    * @type { string }
    */
    keytopSubAcct?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 操作人
    * @type { string }
    */
    operator?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 速停车子商户号对应的APPID
    * @type { string }
    */
    superparkSubAppid?: string;
    /**
    * 启用图文消息
    * @type { boolean }
    */
    enableNews?: boolean;
    /**
    * 图文消息模板
    * @type { string }
    */
    newsTemplate?: string;
    /**
    * 科拓子商户号对应的APPID
    * @type { string }
    */
    keytopSubAppid?: string;
    /**
    * 支付地址
    * @type { string }
    */
    payUrl?: string;
    /**
    * 
    * @type { string }
    */
    payQrCodeUrl?: string;
    /**
    * 共用二维码地址
    * @type { string }
    */
    shareQrCodeUrl?: string;
    /**
    * 启用回调
    * @type { boolean }
    */
    enableCallback?: boolean;
    /**
    * 支付成功回调地址
    * @type { string }
    */
    payCallbackUrl?: string;
    /**
    * 禁止速停车查询
    * @type { boolean }
    */
    disableStcQuery?: boolean;
    /**
    * 禁止API查询
    * @type { boolean }
    */
    disableApiQuery?: boolean;
    /**
    * 是否支持缴费
    * @type { boolean }
    */
    enablePayment?: boolean;
    /**
    * 是否支持退款
    * @type { boolean }
    */
    enableRefund?: boolean;
    /**
    * 是否启用后付费
    * @type { boolean }
    */
    enablePostPaid?: boolean;
    /**
    * 是否启用入场消息推送
    * @type { boolean }
    */
    enableComeMsgPush?: boolean;
    /**
    * 是否启用车位消息推送
    * @type { boolean }
    */
    enableLocationMsgPush?: boolean;
    /**
    * 是否开启自定义按钮
    * @type { boolean }
    */
    enableCustomBtn?: boolean;
    /**
    * 是否开启锁车功能
    * @type { boolean }
    */
    enableLockCar?: boolean;
    /**
    * TCP 0/MQ 1
    * @type { string }
    */
    lotSyncChannel?: string;
    /**
    * 是否支持热门车场
    * @type { string }
    */
    isHot?: string;
    /**
    * 车场本地ID
    * @type { string }
    */
    clientId?: string;
    /**
    * 关闭缴费提示
    * @type { string }
    */
    closeTip?: string;
    /**
    * 自定义查询按钮
    * @type { string }
    */
    ordQueryBtmHtml?: string;
    /**
    * 在订单支付成功页面显示的自定义HTML
    * @type { string }
    */
    ordSuccessHtml?: string;
    /**
    * 启用欢送语
    * @type { boolean }
    */
    isFarewellWord?: boolean;
}
export class BusParkingLotMI{ 
    static get LOT_ID(): FieldInfo{  
        return new FieldInfo('lotId','车场ID');
    }
    static get GROUP_ID(): FieldInfo{  
        return new FieldInfo('groupId','分组ID');
    }
    static get LOT_CODE(): FieldInfo{  
        return new FieldInfo('lotCode','车场代码');
    }
    static get LOT_NAME(): FieldInfo{  
        return new FieldInfo('lotName','车场名称');
    }
    static get LOGO_URL(): FieldInfo{  
        return new FieldInfo('logoUrl','车场LOGO');
    }
    static get TOTAL_SPACE(): FieldInfo{  
        return new FieldInfo('totalSpace','总车位数');
    }
    static get FUNC_FLAG(): FieldInfo{  
        return new FieldInfo('funcFlag','功能标识');
    }
    static get KEYWORD(): FieldInfo{  
        return new FieldInfo('keyword','车场简称');
    }
    static get DESCRIPTION(): FieldInfo{  
        return new FieldInfo('description','车场描述');
    }
    static get TRADE_FEE(): FieldInfo{  
        return new FieldInfo('tradeFee','交易手续费,百分比');
    }
    static get CONTACT(): FieldInfo{  
        return new FieldInfo('contact','合同号');
    }
    static get CONTACT_INFO(): FieldInfo{  
        return new FieldInfo('contactInfo','合同内容');
    }
    static get PROV_ID(): FieldInfo{  
        return new FieldInfo('provId','省份ID');
    }
    static get CITY_ID(): FieldInfo{  
        return new FieldInfo('cityId','城市ID');
    }
    static get DISTRICT_ID(): FieldInfo{  
        return new FieldInfo('districtId','区域ID');
    }
    static get LOT_NATURE_CODE(): FieldInfo{  
        return new FieldInfo('lotNatureCode','车场性质');
    }
    static get ADDRESS(): FieldInfo{  
        return new FieldInfo('address','地址');
    }
    static get USE_MAP(): FieldInfo{  
        return new FieldInfo('useMap','是否开启地图');
    }
    static get LONGITUDE(): FieldInfo{  
        return new FieldInfo('longitude','纬度');
    }
    static get LATITUDE(): FieldInfo{  
        return new FieldInfo('latitude','经度');
    }
    static get USE_SUPERPARK(): FieldInfo{  
        return new FieldInfo('useSuperpark','是否STC');
    }
    static get USE_KEYTOP(): FieldInfo{  
        return new FieldInfo('useKeytop','是否科拓');
    }
    static get USE_SUB_MER(): FieldInfo{  
        return new FieldInfo('useSubMer','是否子商户');
    }
    static get SUPERPARK_SUB_ACCT(): FieldInfo{  
        return new FieldInfo('superparkSubAcct','速停车子商户号');
    }
    static get KEYTOP_SUB_ACCT(): FieldInfo{  
        return new FieldInfo('keytopSubAcct','科拓子商户号');
    }
    static get REMARK(): FieldInfo{  
        return new FieldInfo('remark','备注');
    }
    static get OPERATOR(): FieldInfo{  
        return new FieldInfo('operator','操作人');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get SUPERPARK_SUB_APPID(): FieldInfo{  
        return new FieldInfo('superparkSubAppid','速停车子商户号对应的APPID');
    }
    static get ENABLE_NEWS(): FieldInfo{  
        return new FieldInfo('enableNews','启用图文消息');
    }
    static get NEWS_TEMPLATE(): FieldInfo{  
        return new FieldInfo('newsTemplate','图文消息模板');
    }
    static get KEYTOP_SUB_APPID(): FieldInfo{  
        return new FieldInfo('keytopSubAppid','科拓子商户号对应的APPID');
    }
    static get PAY_URL(): FieldInfo{  
        return new FieldInfo('payUrl','支付地址');
    }
    static get PAY_QR_CODE_URL(): FieldInfo{  
        return new FieldInfo('payQrCodeUrl','');
    }
    static get SHARE_QR_CODE_URL(): FieldInfo{  
        return new FieldInfo('shareQrCodeUrl','共用二维码地址');
    }
    static get ENABLE_CALLBACK(): FieldInfo{  
        return new FieldInfo('enableCallback','启用回调');
    }
    static get PAY_CALLBACK_URL(): FieldInfo{  
        return new FieldInfo('payCallbackUrl','支付成功回调地址');
    }
    static get DISABLE_STC_QUERY(): FieldInfo{  
        return new FieldInfo('disableStcQuery','禁止速停车查询');
    }
    static get DISABLE_API_QUERY(): FieldInfo{  
        return new FieldInfo('disableApiQuery','禁止API查询');
    }
    static get ENABLE_PAYMENT(): FieldInfo{  
        return new FieldInfo('enablePayment','是否支持缴费');
    }
    static get ENABLE_REFUND(): FieldInfo{  
        return new FieldInfo('enableRefund','是否支持退款');
    }
    static get ENABLE_POST_PAID(): FieldInfo{  
        return new FieldInfo('enablePostPaid','是否启用后付费');
    }
    static get ENABLE_COME_MSG_PUSH(): FieldInfo{  
        return new FieldInfo('enableComeMsgPush','是否启用入场消息推送');
    }
    static get ENABLE_LOCATION_MSG_PUSH(): FieldInfo{  
        return new FieldInfo('enableLocationMsgPush','是否启用车位消息推送');
    }
    static get ENABLE_CUSTOM_BTN(): FieldInfo{  
        return new FieldInfo('enableCustomBtn','是否开启自定义按钮');
    }
    static get ENABLE_LOCK_CAR(): FieldInfo{  
        return new FieldInfo('enableLockCar','是否开启锁车功能');
    }
    static get LOT_SYNC_CHANNEL(): FieldInfo{  
        return new FieldInfo('lotSyncChannel','TCP 0/MQ 1');
    }
    static get IS_HOT(): FieldInfo{  
        return new FieldInfo('isHot','是否支持热门车场');
    }
    static get CLIENT_ID(): FieldInfo{  
        return new FieldInfo('clientId','车场本地ID');
    }
    static get CLOSE_TIP(): FieldInfo{  
        return new FieldInfo('closeTip','关闭缴费提示');
    }
    static get ORD_QUERY_BTM_HTML(): FieldInfo{  
        return new FieldInfo('ordQueryBtmHtml','自定义查询按钮');
    }
    static get ORD_SUCCESS_HTML(): FieldInfo{  
        return new FieldInfo('ordSuccessHtml','在订单支付成功页面显示的自定义HTML');
    }
    static get IS_FAREWELL_WORD(): FieldInfo{  
        return new FieldInfo('isFarewellWord','启用欢送语');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-12-02 15:09
 */
export interface CmCity{
    /**
    * 唯一标识
    * @type { string }
    */
    id?: string;
    /**
    * 代码
    * @type { string }
    */
    code?: string;
    /**
    * 
    * @type { string }
    */
    provId?: string;
    /**
    * 
    * @type { string }
    */
    name?: string;
    /**
    * 
    * @type { string }
    */
    carPreffix?: string;
}
export class CmCityMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','唯一标识');
    }
    static get CODE(): FieldInfo{  
        return new FieldInfo('code','代码');
    }
    static get PROV_ID(): FieldInfo{  
        return new FieldInfo('provId','');
    }
    static get NAME(): FieldInfo{  
        return new FieldInfo('name','');
    }
    static get CAR_PREFFIX(): FieldInfo{  
        return new FieldInfo('carPreffix','');
    }
}


